psychopy.org | Reference | Downloads | Github

Open file->preference report error

psychopy2021.1.3 installed by pip3
Bug report while I open preference

Traceback (most recent call last):
File “/usr/local/lib/python3.8/dist-packages/psychopy/app/themes/_themes.py”, line 813, in _loadBitmap
im = wx.Image(filename)
TypeError: Image(): arguments did not match any overloaded call:
overload 1: too many arguments
overload 2: argument 1 has unexpected type ‘NoneType’
overload 3: argument 1 has unexpected type ‘NoneType’
overload 4: argument 1 has unexpected type ‘NoneType’
overload 5: argument 1 has unexpected type ‘NoneType’
overload 6: argument 1 has unexpected type ‘NoneType’
overload 7: argument 1 has unexpected type ‘NoneType’
overload 8: argument 1 has unexpected type ‘NoneType’
overload 9: argument 1 has unexpected type ‘NoneType’
overload 10: argument 1 has unexpected type ‘NoneType’
overload 11: argument 1 has unexpected type ‘NoneType’
overload 12: argument 1 has unexpected type ‘NoneType’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/local/lib/python3.8/dist-packages/psychopy/app/_psychopyApp.py”, line 754, in showPrefs
prefsDlg = PreferencesDlg(app=self)
File “/usr/local/lib/python3.8/dist-packages/psychopy/app/preferencesDlg.py”, line 557, in init
self.populatePrefs()
File “/usr/local/lib/python3.8/dist-packages/psychopy/app/preferencesDlg.py”, line 733, in populatePrefs
icon = self.app.iconCache.getBitmap(choice.Text)
File “/usr/local/lib/python3.8/dist-packages/psychopy/app/themes/_themes.py”, line 840, in getBitmap
self._loadBitmap(name, theme, emblem=emblem, size=size)
File “/usr/local/lib/python3.8/dist-packages/psychopy/app/themes/_themes.py”, line 815, in _loadBitmap
raise FileNotFoundError("Failed to find icon name={}, theme={}, "
FileNotFoundError: Failed to find icon name=FlowTop_CompRight, theme=light, size=48, emblem=None

I can see what the problem might be, but what’s interesting is that it doesn’t cause any error for me. The icon it’s looking for is called flowtop_compright.png in the actual folder - so I’m guessing it’s because it’s looking for it with capital letters and therefore not finding it.

If you navigate to this location:
/usr/local/lib/python3.8/dist-packages/psychopy/app/Resources/light
and change the filename to match what’s in the error (FlowTop_CompRight), does it fix the problem? If so I’ll just rename the files for each theme in the repo and that should solve it for other pip users!

Thank you! I made it !

I encountered this same problem. Capitalizing the names of the files fixed the problem. Given that his has happened at least twice, should an issue be submitted on GitHub?

Edit:

See also this issue

The issue is fixed on GitHub since this commit: BF Case Sensitivity on Linux · psychopy/psychopy@b52ba31 · GitHub
but that was 10 days after the most recent release. It will be included in 2021.2.0 in a few weeks time

Much appreciated. Thanks for the update!